Subject: Re: boost, boost_unit_test_framework
From: Václav Haisman <[email-masked]>
To: Mattias Brändström <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Oct 2005 11:54:44 +0200

Mattias Brändström wrote:
> Václav Haisman wrote:
> 
>>>
>>> /usr/lib/libboost_date_time-gcc-mt-s-1_33.a*
>>> /usr/lib/libboost_date_time-gcc-mt-s.a*
>>
>>
>> This is called 'versioned' layout.
>>
>>
>>> In my build scripts I would still like to be able to specify
>>> -lboost_date_time and not -lboost_date_time-gcc-mt-s. Is it the
>>> intention of the maintainer of the cygwin boost package that I should
>>> make a symbolic link (ln -s libboost_date_time.a
>>> libboost_date_time-gcc-mt-s.a) to the library that I want to use?
>>
>>
>> You can either add the links or you can have something like
>> BOOST_SUFFIX=-gcc-mt-s and use -lboost_date_time${BOOST_SUFFIX}.
>>
> 
> Ok. I didn't think of using a suffix like you suggest. It looks nice and
> I am going to use it in my build scripts.
> 
>>> Another question regarding the cygwin boost package is why the test
>>> libraries are missing?
>>
>>
>> Because its build is broken on Cygwin.
>>
> 
> Have the test libraries worked in any previous version of boost for
> Cygwin? If so, is there any way that I can install that version instead?
I don't know. The current Boost package is the only Boost Cygwin package
so far. You could try to compile some older Boost than 1.33.0 from sources.

> 
> :.:: mattias

Vaclav Haisman